<?php

namespace App\Controller\admin;

use App\Controller\AbstractController;
use App\Helpers\TreeHelper;
use App\Model\AppAdminMenu;
use Hyperf\HttpServer\Annotation\Controller;
use Hyperf\HttpServer\Annotation\RequestMapping;
use Hyperf\View\RenderInterface;
use plugin\admin\app\common\Tree;

#[Controller(prefix: 'admin/menu')]
class MenuController extends AbstractController
{

    #[RequestMapping(path: '', methods: 'get')]
    public function index(RenderInterface $render)
    {
        return $render->render('menu/index');
    }

    #[RequestMapping(path: 'insert', methods: 'get')]
    public function insert(RenderInterface $render)
    {
        return $render->render('menu/insert');
    }

    #[RequestMapping(path: 'update', methods: 'get')]
    public function update(RenderInterface $render)
    {
        return $render->render('menu/update');
    }
}